Arch Armature personnalisée

From FreeCAD Documentation
Revision as of 18:35, 9 November 2019 by David69 (talk | contribs)
Jump to: navigation, search
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎日本語 • ‎română • ‎русский • ‎svenska • ‎українська
Arrow-left.svg Page précédente: Arch Rebar Helical.svg Renforcement de poutres
Page suivante: Plancher Arch Floor.svg Arrow-right.svg

Arch Rebar.svg Arch Armature personnalisée

Emplacement du menu
Arch → Rebar
Ateliers
Arch
Raccourci par défaut
R B
Introduit dans la version
-
Voir aussi
Arch Structure


Description

L'outil Armature vous permet de placer des barres d'armature dans les objets Structure.

Les objets Armatures sont basés sur des profils 2D comme les esquisses ou les objets dessin, qui doivent être dessinés sur une face d'un objet Structure. Vous pouvez ensuite ajuster la configuration de l'armature comme le nombre et le diamètre des barres ou la distance de décalage entre les deux extrémités de l'élément structurel.

Arch Rebar example.jpg

L'image ci dessus montre un objet structurel, sur lequel deux esquisses sont dessinées, qui définissent le chemin des barre de fer. Ces deux esquisses sont ensuite transformées en objet Armature.


Extension disponible

L'outil Armature a été amélioré dans Renforcement Addon, et peut être installé avec Addon Manager. Les types de barres supplémentaires disponibles avec l'addon sont:

Comment l'utiliser

  1. Créez un objet Arch Structure.svg Arch Structure
  2. Déplacez vous dans l'atelier Esquisse
  3. Sélectionnez une face de l'objet Structure
  4. Appuyez sur le bouton Sketcher NewSketch.svg Nouvelle Esquisse pour démarrer l'édition d'une nouvelle esquisse sur la face choisie
  5. Dessinez la forme de l'Armature
  6. Cliquez sur le bouton Sketcher LeaveSketch.svg Quitter l'Esquisse pour finir
  7. Revenez dans l'atelier Arch
  8. Sélectionnez l'esquisse que vous venez de dessiner
  9. Appuyez sur le bouton Arch Rebar.svg Armature, ou pressez les touches R puis B
  10. Ajustez les propriétés désirées (votre armature peut ne pas apparaître immédiatement, si certaines propriétés créent des situations impossibles comme un diamètre égal à 0 mm ou un décalage plus grand que la longueur de l'objet Structure).

Bien que normalement une barre d’accès soit utilisée dans une structure en arc, depuis FreeCAD 0.19, elle peut être créée en dehors de tout objet hôte. Pour héberger une barre dans un objet, il vous suffit de définir son DONNÉEShôte.

Options

  • Armature partage les propriétés communes et les comportements de tous les Composants Arch.
  • La valeur d'arrondi est exprimée en multiples du diamètre. Si la barre a un diamètre de 5 mm, la valeur d'arrondi de 3 va créer des angles arrondis d'un rayon de 15 mm.
  • La valeur par défaut des nouvelles Armatures peut être définie dans les préférences de l'atelier Arch.
  • Si un vecteur de direction n'est pas spécifié, la direction et la distance le long de laquelle les barres seront répandues sont définies automatiquement sur l'objet hôte structurel, en prenant la direction normale de l'esquisse de base et en son intersection avec l'objet structurel. Si vous spécifiez un vecteur de direction, la longueur de ce vecteur va également être prise en compte.
  • La valeur d'espacement est calculée d'après le nombre actuel des barres et représente la distance entre les axes de chaque barre. Vous devez donc soustraire le diamètre de la barre pour obtenir la taille de l'espace libre entre les barres.

Propriétés

  • DONNÉESQuantité: La quantité de barres.
  • DONNÉESDiamètre: Le diamètre des barres.
  • DONNÉESDirection: La direction (et longueur) selon laquelle la barre est répartie. Si la valeur est (0,0,0), la direction est calculée automatiquement en fonction de l'objet Structure hôte.
  • DONNÉESDécalage de départ: La distance du décalage entre le bord de l'objet Structure et la première barre.
  • DONNÉESDécalage de fin: La distance du décalage entre le bord de l'objet Structure et la dernière barre.
  • DONNÉESArrondi de pliage: Une valeur d'arrondi qui s'applique aux angles des barres, est un multiple du diamètre.
  • DONNÉESEspacement: L'espacement des axes de chaque barre.

Script

See also: Arch API et FreeCAD Scripts de base.

L'outil Armature peut être utilisé dans les macros et depuis la console Python en utilisant les fonctions suivantes :

Rebar = makeRebar(baseobj=None, sketch=None, diameter=None, amount=1, offset=None, name="Rebar")
  • Crée un objet Rebar à partir d'objet de base donné, qui est une Arch Structure, et une esquisse comme profil.
    • diameter, amount et offset sont utilisés pour définir les caractéristiques des barres.
    • Si aucune valeur diameter, amount ou offset n'est donnée, les valeurs par défaut des Préférences Arch sont utilisées.

Exemple :

import FreeCAD, Arch, Part

Structure = Arch.makeStructure(None, length=1000, width=1000, height=3000)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

p1 = FreeCAD.Vector(-400, 400, 0)
p2 = FreeCAD.Vector(400, 400, 0)
Sketch = FreeCAD.ActiveDocument.addObject('Sketcher::SketchObject', 'Sketch')
Sketch.MapMode = "FlatFace"
Sketch.Support = [(Structure, "Face6")]
Sketch.addGeometry(Part.LineSegment(p1, p2))
FreeCAD.ActiveDocument.recompute()

Rebar = Arch.makeRebar(Structure, Sketch, diameter=80, amount=7, offset=50)
Rebar.OffsetStart = 100
Rebar.OffsetEnd = 100
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch Rebar Helical.svg Renforcement de poutrelle
Page suivante: Sol Arch Floor.svg Arrow-right.svg